#include <iostream>
#include <vector>
#include "histogram.h"
#include "text.h"
using namespace std;


struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(){
    size_t number_count, bin_count;
    cerr << "Enter number count: ";
    cin >> number_count;
    Input in;
    in.numbers.resize(number_count);
    for (size_t i = 0; i < number_count; i++)
    {
        cerr << "Enter Num[" << i << "]: ";
        cin >> in.numbers[i];
    }
    cerr << "Enter bin count: ";
    cin >> in.bin_count;
    return in;
}

int main()
{
    auto in = input_data();
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_text(bins, in.bin_count);
    return 0;
}
